Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.simtoolsgui
Interface CommonProbeDisplay

All Known Subinterfaces:
  CompleteProbeDisplay, MultiVarProbeDisplay, ProbeDisplay, SimpleProbeDisplay, SingleProbeDisplay

All Known Implementing Classes:
  MultiVarProbeDisplayImpl

public interface CommonProbeDisplay
extends SwarmObject, SwarmObjectS, WindowGeometryRecordName, WindowGeometryRecordNameS

A protocol underlying ProbeDisplay and CompleteProbeDisplay. This protocol provides the common interface to all kinds of ProbeDisplays.

Method Summary
`boolean` | `getMarkedForDropFlag()`
`java.lang.Object` | `getTopLevel()`
`void` | `update()` This method maintains consistency between the values of the probedObject's variables and the values which are displayed in the ProbeDisplay.

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### update

    public void update()

  This method maintains consistency between the values of the probedObject's variables and the values which are displayed in the ProbeDisplay. Ideally, this method should be called every time the object is modified by the simulation. In practice, the user schedules an update on the probeDisplayManager which in turn communicates to all the active ProbeDisplays in the system.

### getMarkedForDropFlag

    public boolean getMarkedForDropFlag()

### getTopLevel

    public java.lang.Object getTopLevel()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD